### Method

# Tsparql SparqlStatement serialize_async

since: 3.3

#### Declaration [src]

    void
    tracker_sparql_statement_serialize_async (
      TrackerSparqlStatement* stmt,
      TrackerSerializeFlags flags,
      TrackerRdfFormat format,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Serializes a `DESCRIBE` or `CONSTRUCT` query into the given RDF `format`.

The query `stmt` was created from must be either a `DESCRIBE` or `CONSTRUCT` query, an error will be raised otherwise.

This is an asynchronous operation, `callback` will be invoked when the data is available for reading.

The SPARQL endpoint may not support the specified format, in that case an error will be raised.

The `flags` argument is reserved for future expansions, currently

# TRACKER_SERIALIZE_FLAGS_NONE must be passed.

Available since: 3.3

This method completes asynchronously. Use `tracker_sparql_statement_serialize_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`flags`

  Type: `TrackerSerializeFlags`

  Serialization flags.

`format`

  Type: `TrackerRdfFormat`

  RDF format of the serialized data.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  User-defined `GAsyncReadyCallback` to be called when the asynchronous operation is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User-defined data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.